Skip to main content
All examples use the Autheo Testnet base URL: https://evm-explorer.autheo.com/api/v2

Get address information

curl -X GET \
  "https://evm-explorer.autheo.com/api/v2/addresses/0x<address>" \
  -H "accept: application/json"

Get transactions for an address

curl -X GET \
  "https://evm-explorer.autheo.com/api/v2/addresses/0x<address>/transactions" \
  -H "accept: application/json"

Get a specific transaction

curl -X GET \
  "https://evm-explorer.autheo.com/api/v2/transactions/0x<tx-hash>" \
  -H "accept: application/json"

Get a specific block

# By block number
curl -X GET \
  "https://evm-explorer.autheo.com/api/v2/blocks/12345" \
  -H "accept: application/json"

# Latest block
curl -X GET \
  "https://evm-explorer.autheo.com/api/v2/blocks?type=block" \
  -H "accept: application/json"

Get token balances for an address

curl -X GET \
  "https://evm-explorer.autheo.com/api/v2/addresses/0x<address>/token-balances" \
  -H "accept: application/json"

Get token transfers for an address

curl -X GET \
  "https://evm-explorer.autheo.com/api/v2/addresses/0x<address>/token-transfers" \
  -H "accept: application/json"

Get a smart contract

curl -X GET \
  "https://evm-explorer.autheo.com/api/v2/smart-contracts/0x<contract-address>" \
  -H "accept: application/json"
# Search by address, tx hash, or block number
curl -X GET \
  "https://evm-explorer.autheo.com/api/v2/search?q=0x<address-or-hash>" \
  -H "accept: application/json"

Paginating results

Pass next_page_params from the previous response as query parameters:
# Get the first page
RESPONSE=$(curl -s "https://evm-explorer.autheo.com/api/v2/addresses/0x<address>/transactions")

# Extract next_page_params and use them for the next page
curl -X GET \
  "https://evm-explorer.autheo.com/api/v2/addresses/0x<address>/transactions?block_number=12345&index=10&items_count=50" \
  -H "accept: application/json"
See Pagination for a full explanation.